import request from '@/utils/request'

// 查询电价配置列表
export function listConfig(query) {
  return request({
    url: '/ems/basecfg/electrovalency/list',
    method: 'get',
    params: query
  })
}

// 查询电价配置详细
export function getConfig(id) {
  return request({
    url: '/ems/basecfg/electrovalency/' + id,
    method: 'get'
  })
}

// 新增电价配置
export function addConfig(data) {
  return request({
    url: '/ems/basecfg/electrovalency',
    method: 'post',
    data: data
  })
}

// 修改电价配置
export function updateConfig(data) {
  return request({
    url: '/ems/basecfg/electrovalency',
    method: 'put',
    data: data
  })
}

// 删除电价配置
export function delConfig(id) {
  return request({
    url: '/ems/basecfg/electrovalency/' + id,
    method: 'delete'
  })
}
